DMX::Device Class Reference

The Device class. More...

`#include <device.h>`

Inheritance diagram for DMX::Device:
[legend]

## Public Member Functions

| Device ()
| Device::Device.
virtual | ~Device ()
| Device::~Device.
uint16_t | footprint () const
| Device::footprint. More...
uint8_t | personality () const
| Device::personality. More...
uint8_t | personalityCount () const
| Device::personalityCount. More...
uint16_t | address () const
| Device::address. More...
virtual void | setPersonality (uint8_t mode)
| Device::setPersonality. More...
virtual bool | setAddress (uint16_t start)
| Device::setAddress. More...

## Protected Attributes

std::vector< Personality * > | personalities_
| available personalities
uint8_t | personality_
| index of current personality
uint16_t | startAddress_
| DMX start address.

## Detailed Description

The Device class.

## Member Function Documentation

## address()

uint16_t DMX::Device::address | ( |  | ) | const

Device::address.

Returns

Here is the caller graph for this function:

## footprint()

uint16_t DMX::Device::footprint | ( |  | ) | const

Device::footprint.

Returns

Here is the caller graph for this function:

## personality()

uint8_t DMX::Device::personality | ( |  | ) | const

Device::personality.

Returns

Here is the caller graph for this function:

## personalityCount()

uint8_t DMX::Device::personalityCount | ( |  | ) | const

Device::personalityCount.

Returns

Here is the caller graph for this function:

## setAddress()

bool DMX::Device::setAddress | ( | uint16_t | start | ) |

virtual

Device::setAddress.

Parameters

  start |

Returns

Here is the call graph for this function:
Here is the caller graph for this function:

## setPersonality()

void DMX::Device::setPersonality | ( | uint8_t | mode | ) |

virtual

Device::setPersonality.

Parameters

  mode |

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmx/device.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmx/device.cpp